Bug 489573 - rhnmd is unable to generate pub / priv keys at first startup
rhnmd is unable to generate pub / priv keys at first startup
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-03-10 14:11 EDT by Milan Zazrivec
Modified: 2009-09-17 03:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2009-03-10 14:11:34 EDT
Description of problem:
Initial start of rhnmd fails when it tries to generate its pair
of private / public keys.

Version-Release number of selected component (if applicable):
rhnmd-5.1.6-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Install rhnmd-5.1.6-1.el5
2. /etc/init.d/rhnmd start
  
Actual results:
# /etc/init.d/rhnmd start
Generating SSH2 DSA host key:                              [FAILED]

Expected results:
rhnmd starts

Additional info:
spacewalk.git commit fd619e0e4430cec31e2fca17ac617aaaafd49681

# ls -ld /etc/nocpulse
drwxr-xr-x 2 root root 4096 Mar 10 18:36 /etc/nocpulse
# whoami
root
# /sbin/runuser -s /bin/bash - nocpulse -c "/usr/bin/ssh-keygen -q -t dsa -f /etc/nocpulse/ssh_host_dsa_key -C '' -N ''"
open /etc/nocpulse/ssh_host_dsa_key failed: Permission denied.
Saving the key failed: /etc/nocpulse/ssh_host_dsa_key.
Comment 1 Miroslav Suchý 2009-03-11 09:45:38 EDT
Commited as 85607831bbcb364304ca2f2a8f68dee5b1848640
Fixed in rhnmd-5.1.7-1
Ticket to rel-eng to include nocpulse-common in rhn-tools has been sent (#37194)
Comment 2 Jesus M. Rodriguez 2009-04-14 10:13:31 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:11:08 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.